/* Fida Marwat (Sr. UXUI and Front End Developer) */

.customm-nav {
    display: block;
    width: 100%;
    height: 300px;
    overflow-y: auto;
}

/* process steps start */

.steps {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 2rem;
    position: relative;
}

.step-button {
    width: 36px;
    height: 36px;
    background-color: #edeef5;
    border: none;
    transition: 0.4s;
}

.step-button:hover {
    cursor: unset;
}

.step-button[aria-expanded="true"] {
    width: 36px;
    height: 36px;
    background-color: #696cf2;
    color: #fff;
}

.done {
    background-color: #696cf2;
    color: #fff;
}

.step-item {
    z-index: 10;
    text-align: center;
}

#progress {
    -webkit-appearance: none;
    position: absolute;
    width: 95%;
    z-index: 5;
    height: 10px;
    margin-left: 18px;
}

/* to customize progress bar */
#progress::-webkit-progress-value {
    background-color: #696cf2;
    transition: 0.5s ease;
}

#progress::-webkit-progress-bar {
    background-color: #edeef5;
}

/* data table starts */

.dataTables_wrapper .dataTables_paginate .paginate_button.current,
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
    background: #525ce5;
    border-color: #525ce5;
    border-radius: 6px;
    color: #fff !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    background: #525ce5;
    border-color: #525ce5;
    border-radius: 6px;
    color: #fff !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    padding: 4px 12px;
}

table.dataTable tbody th,
table.dataTable tbody td {
    border-color: #e4e4e4;
}

table.dataTable.no-footer {
    border-bottom: 0px solid red;
}

button,
input,
optgroup,
select,
textarea {
    border-radius: 6px;
    padding: 4px;
    border-color: #b1aeae;
}

.upload-btn {
    cursor: pointer;
}

.upload-btn:hover {
    background-color: #0069d9;
}
.file-control[type="file"] {
    display: none;
}

/* status starts */

.low {
    width: 100%;
    border-radius: 4px;
    padding: 2px 12px;
    background-color: rgba(53, 201, 151, 0.2);
    color: #35c997;
}

.medium {
    width: 100%;
    border-radius: 4px;
    padding: 2px 12px;
    background-color: rgba(255, 179, 0, 0.2);
    color: #ffb300;
}

.high {
    width: 100%;
    border-radius: 4px;
    padding: 2px 12px;
    background-color: rgba(229, 82, 82, 0.2);
    color: #e55252;
}

/* charts style starts */

.chart-cardd {
    min-height: 340px;
}

#myDoughnutContainer {
    width: 100%;
}

#myverticleChartContainer {
    width: 100%;
}

#mystackedhorizontalChartContainer {
    width: 100%;
}

#mylineChartBoundriesContainer {
    width: 100%;
}

#mycircularChartContainer {
    width: 100%;
}

.badge {
    width: 18px;
    height: 18px;
    border-radius: 0px;
}

/* offset canvas starts */

.sm-left-sidebar-card {
    position: absolute;
    left: 0px;
    height: -webkit-fill-available;
    max-height: 100vh;
    width: 100%;
}

.offset-btnn {
    display: none;
}

.offcanvas-start {
    width: 300px;
}

/* side bar */

.left-sidebar-card {
    position: fixed;
    background-color: #fff;
    left: 0px;
    inset: 0px;
    width: 224px;
    height: -webkit-fill-available;
    max-height: 100vh;
}

.dropdown-toggle {
    outline: 0;
}

.btn-toggle {
    padding: 0.5rem 1rem;
    color: #747272;
    background-color: transparent;
}

.btn-toggle:hover,
.btn-toggle:focus {
    background-color: #f8f9fa;
}

.btn-toggle::after {
    width: 1.25em;
    line-height: 0;
    content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='13' height='13' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
    transition: transform 0.35s ease;
    transform-origin: 0.5em 50%;
    padding-left: 5px;
}

[data-bs-theme="dark"] .btn-toggle::after {
    content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='13' height='13' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%28255,255,255,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
}

.btn-toggle[aria-expanded="true"] {
    color: #525ce5;
}

.btn-toggle[aria-expanded="true"]::after {
    transform: rotate(90deg);
    padding-left: 0px;
    padding-bottom: 5px;
}

.btn-toggle-nav a {
    color: #747272;
    padding: 0.1875rem 0.5rem;
    margin-top: 0.125rem;
    margin-left: 1.5rem;
}

.btn-toggle-nav a:hover,
.btn-toggle-nav a:focus {
    background-color: #f8f9fa;
}

/* side bar */

/* scroll style starts */

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: #f1f1f1;
    box-shadow: inset 0 0 5px #15a255;
}

::-webkit-scrollbar-thumb {
    background: #525ce5;
    border-radius: 4px;
    transition: 1s;
}

::-webkit-scrollbar-thumb:hover {
    background: #272847;
}

body {
    font-size: 16px;
}

.nav-pills .nav-link.active,
.nav-pills .show > .nav-link {
    background-color: transparent;
    color: #0d6efd;
    font-weight: 500;
}

.nav-link {
    color: #747272;
}

.left-sidebar-card .nav-link {
    line-height: 22px;
}

p {
    color: #747272;
    line-height: 30px;
    font-size: 1rem;
}

hr {
    background-color: #bbb8b8;
}

td {
    color: #747272;
}

.custom-anchor:hover .card {
    border-color: #525ce5;
}

.wraper {
    height: 100vh;
    background-image: url("../images/bg.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
}

#login {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    transform: translate(-50%, -50%);
}

.modal-content {
    border-radius: 15px;
}

.card {
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    border-radius: 15px;
}

.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active {
    border-bottom: 2px solid #525ce5;
    border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    border-radius: 0px;
}

.text-primary {
    color: #525ce5;
}

.border-primary {
    border-color: #525ce5 !important;
}

.text-danger {
    color: #e44a4f;
}

.text-grey {
    color: #49505c;
}

.text-dark {
    color: #272847;
}

.bg-primary {
    background-color: #525ce5 !important;
}

.bg-grey {
    background-color: #bab9be;
}

.bg-success {
    background-color: #35c997 !important;
}

.btn-primary {
    font-size: 18px;
    background-color: #525ce5 !important;
    border-color: #525ce5 !important;
}

.btn-link {
    color: #525ce5;
}

.btn-outline-primary {
    font-size: 18px;
    border-color: #525ce5 !important;
    color: #525ce5;
}

.btn-primary:hover {
    background-color: #4651e5 !important;
    border-color: #4651e5 !important;
}

.btn-danger {
    font-size: 18px;
    background-color: #e44a4f !important;
    border-color: #e44a4f !important;
}

.btn-sm {
    font-size: 0.875rem !important;
}

.btn-success {
    font-size: 18px;
    background-color: #55be7f !important;
    border-color: #55be7f !important;
}

.bg-body {
    background-image: url("../images/bg1.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
}

#warning {
    padding: 100px 0px;
    height: auto;
}

.status-shape {
    width: 26px;
    height: 26px;
    border-radius: 100px;
    margin: auto;
}

#topbar {
    background-color: #272847;
    padding-bottom: 80px;
    padding-top: 26px;
}

.topbar {
    background-color: #272847;
    padding-bottom: 26px;
    padding-top: 26px;
}

.inner-page-topbar {
    padding-bottom: 26px !important;
}

.btn-outline-secondary {
    width: 42px;
    font-size: 18px;
    padding: 6px 0px;
    margin-left: 36px;
}

.btn-outline-secondary:hover {
    color: #fff !important;
    background-color: #525ce5;
    border-color: #525ce5;
}

.btn {
    border-radius: 6px !important;
}

.card.position-absolute {
    top: -161px;
    width: 100%;
}

.chart-right {
    position: absolute;
    right: 0px;
    top: -50px;
}

.chart-left {
    position: absolute;
    left: 0px;
    top: -50px;
}

.months-row {
    margin-top: 0px;
}

.chart-card {
    min-height: 380px;
}

.rounded-circle-notification {
    position: absolute;
    top: -5px;
    right: -4px;
}

.circle-large {
    width: 26px;
    height: 26px;
    padding: 1px 0px;
    border-radius: 100px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 999;
}

.circle-large .fa-angle-right {
    font-size: 22px !important;
}

.line {
    height: 1px;
    justify-content: end;
    display: flex;
    position: absolute;
    top: 50%;
    width: 100%;
}

.line .fa-angle-right {
    font-size: 20px !important;
    top: -10.5px;
}

.circle-small {
    width: 18px;
    height: 18px;
    border-radius: 100px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 3;
}

.circle-small:hover {
    width: 21px;
    height: 21px;
}

.custom-table {
    	/* width: 2400px; */
        width: auto;
}

.custom-table2 {
    /* width: 2400px; */
    width: auto;
}

.categorization-table {
    width: 1300px;
}

.categorization-table .btn-sm,
.custom-sm .btn-sm {
    width: 70px;
}

.custom-table td {
    width: 90px;
    position: relative;
}
.custom-table2 td {
    width: 90px;
    position: relative;
}

.line-start {
    width: 50%;
    right: 0px;
}

.line-end {
    width: 50%;
    left: 0px;
}


#top-graphs{
    margin-top: 120px;
    margin-bottom: 60px;
  }

  .grap-round-header{
    background: #BEE2F8;
    width: 86px;
    height: 86px;
    border-radius: 100px !important;
    display: flex;
    position: absolute;
    align-items: center;
    justify-content: center;
    top: -70px;
    left: 50%;
    transform: translate(-50%, 0%);
  }

  .bg-light{
    background: #18CAD4 !important;
  }

  .bg-gray{
    background: #F2F2F2 !important;
  }


#control-graphs td{
    color: #68696C;
  }

  #status-graphs{
    margin-bottom: 60px;
  }


  #critical-risk-dashboard-graphs{
    margin-bottom: 60px;
    margin-top: 60px;
  }

  #critical-risk-dashboard-graphs th{
    background: #2C5495;
  }

  #it-security{
    margin-bottom: 60px;
  }

  #it-security p{
    line-height: 26px;
    font-weight: 600;
  }

  #enterprise{
    margin-bottom: 60px;
  }
  #security-dashboard{
    margin-bottom: 60px;
  }

  #security-dashboard .text-danger{
    color: #E76645 !important;
  }

  #security-dashboard .text-primary{
    color: #137DA3 !important;
  }

  #security-dashboard .failed{
    background: #B20606;
    padding: 6px 12px;
    color: #fff;
    margin-right: 6px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
  }

  #security-dashboard .successful{
    background: #51C98B;
    padding: 6px 12px;
    color: #fff;
    margin-right: 6px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
  }

  #security-dashboard .primary{
    background: #31819D;
    padding: 6px 12px;
    color: #fff;
    margin-right: 6px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
  }

  #security-dashboard th{
    background: #AFD3E3;
  }

  #security-dashboard td{
    text-align: center;
  }

  #security-dashboard .fill-label{
    height: 15px;
    display: inline-block;
    background: #227891;
  }


  #business-data-security-dashboard{
    margin-bottom: 60px;
  }

  #business-data-security-dashboard .text-primary{
    color: #137DA3 !important;
  }

  #business-data-security-dashboard .text-danger{
    color: #CA0205 !important;
  }

  #business-data-security-dashboard .text-warning{
    color: #FFBE00 !important;
  }

  #business-data-security-dashboard td{
    border-left: 1px solid #dee2e6;
    border-bottom: 0px solid red;
  }

  #cyber-security-dashboard-for-security-operations{
    margin-bottom: 60px;
  }

  #security-dashboard-calculating{
    margin-bottom: 60px;
  }

  #security-dashboard-calculating p{
    line-height: 0px;
  }

  #security-incidents-operations-dashboard{
    margin-bottom: 60px;
  }

  #security-incidents-operations-dashboard .card{
    border-color: #ccc;
  }

  #security-incidents-operations-dashboard .card-header{
    background: #fff;
    width: 60px;
    height: 60px;
    border-radius: 100px !important;
    display: flex;
    position: absolute;
    align-items: center;
    justify-content: center;
    top: -33px;
    left: 50%;
    transform: translate(-50%, 0%);
    border: 1px solid;
  }

  #security-incidents-operations-dashboard .card-header img{
    width: 40px;
  }

  #security-incidents-operations-dashboard .number{
    width: 46px;
    font-size: 20px;
    height: 46px;
    border-radius: 100%;
    margin: auto;
    font-weight: bolder;
    color: #fff;
  }
